package com.qianhe.zqbfbdw.bfzj.service;

import com.qianhe.zqbfbdw.bfzj.domain.ZqbfBdwBfzj;
import com.qianhe.zqbfbdw.bfzj.domain.ZqbfBdwBfzjQuery;
import com.qianhe.zqbfbdw.bfzj.domain.ZqbfBdwBfzjVo;

import java.util.List;

public interface ZqbfBdwBfzjService {
    /**
     * 条件查询
     */
    List<ZqbfBdwBfzjVo> list(ZqbfBdwBfzjQuery zqbfBdwBfzjQuery);

    /**
     * 查询详情
     */
    ZqbfBdwBfzjVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfBdwBfzj zqbfBdwBfzj, String username);

    /**
     * 修改
     */
    int edit(ZqbfBdwBfzj zqbfBdwBfzj, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
